Subject: bug#37159: 26.1; svg images in eww

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Aug 2019 10:48:17 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Tomasz Piotrowski <[email-masked]>,  [email-masked]
> Date: Mon, 26 Aug 2019 06:56:58 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > On my system, the background color is white and I don't see any
> > images.  (I also don't see any of these images in the screenshot you
> > posted.)  I guess that means EWW displays them with identical
> > foreground and background colors?
> 
> Hm, that's odd.  Does the SVG renderer in your Emacs default to using a
> white foreground colour?  In my "emacs -Q" on Debian, I get black text
> on white background in the SVG images (and this is without ImageMagick).

I don't think I understand what that means.  Which SVG images are you
talking about here?  Can you point me to an example of such an SVG
image file?